Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » BIRT » BIRT 2.6.1 Rhino java script support Question
BIRT 2.6.1 Rhino java script support Question [message #666401] Wed, 20 April 2011 10:36 Go to next message
Anthony Farrell is currently offline Anthony FarrellFriend
Messages: 25
Registered: April 2011
Location: Ireland
Junior Member
I see that in the BIRT Runtime 2.6.0, (WebViewerExample), there is a folder named "org.mozilla.rhino_1.7.1.v20090608" within the plugins folder , a file js.jar exists with the rhino folder.



The BIRT 2.6.1 runtime does not have a org.mozilla.rhino_1.7.1.v20090608 plugin folder instead the only rhino based file I can see is org.mozilla.javascript_1.7.2.v201005080400.jar


Is this correct, is the rhino plug missing or is the 2.6.1 runtime configuration correct ?

Has anyone upgrade to 2.6.1 with out issues ?
Re: BIRT 2.6.1 Rhino java script support Question [message #666433 is a reply to message #666401] Wed, 20 April 2011 13:07 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason WeathersbyFriend
Messages: 9167
Registered: July 2009
Senior Member

This is correct. The packaging for Rhino changed a bit. Same classes
are still available though.

Jason

On 4/20/2011 6:36 AM, Anthony Farrell wrote:
> I see that in the BIRT Runtime 2.6.0, (WebViewerExample), there is a
> folder named "org.mozilla.rhino_1.7.1.v20090608" within the plugins
> folder , a file js.jar exists with the rhino folder.
>
>
>
> The BIRT 2.6.1 runtime does not have a org.mozilla.rhino_1.7.1.v20090608
> plugin folder instead the only rhino based file I can see is
> org.mozilla.javascript_1.7.2.v201005080400.jar
>
>
> Is this correct, is the rhino plug missing or is the 2.6.1 runtime
> configuration correct ?
> Has anyone upgrade to 2.6.1 with out issues ?
Re: BIRT 2.6.1 Rhino java script support Question [message #666444 is a reply to message #666433] Wed, 20 April 2011 13:33 Go to previous messageGo to next message
Anthony Farrell is currently offline Anthony FarrellFriend
Messages: 25
Registered: April 2011
Location: Ireland
Junior Member
Apologies for the silly questions.

Just to confirm that Java 6 ships with Rhino now I believe, will there be any issues with BIRT 2.6.1 working with Java 6 and Java 5 ?.

When deployed on Websphere or Weblogic ? E.g. if an appserver was running Java 5 would 2.6.1 work seemlessly ?

Does BIRT 2.6.1 depend on Java 6 being used? ,if BIRT was used with Java 5 would there be any loss of Java Script features ?
Re: BIRT 2.6.1 Rhino java script support Question [message #666464 is a reply to message #666444] Wed, 20 April 2011 13:44 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason WeathersbyFriend
Messages: 9167
Registered: July 2009
Senior Member

No problem. BIRT works with Java 5, and 6. There should not be a
conflict with Rhino as OSGi is used and the report engine gets its own
classloader. Should work on WS and WL fine. BIRT Does not depend on
Java 6. We update the project plan for each version that tells what
Java versions we test with. The link is here:
http://wiki.eclipse.org/BIRT_Project_Plan
for example 2.6.1
http://www.eclipse.org/projects/project-plan.php?planurl=htt p://www.eclipse.org/birt/project/plan/birt_project_plan_2_6_ 1.xml

Jason
On 4/20/2011 9:33 AM, Anthony Farrell wrote:
> Apologies for the silly questions.
> Just to confirm that Java 6 ships with Rhino now I believe, will there
> be any issues with BIRT 2.6.1 working with Java 6 and Java 5 ?.
>
> When deployed on Websphere or Weblogic ? E.g. if an appserver was
> running Java 5 would 2.6.1 work seemlessly ?
>
> Does BIRT 2.6.1 depend on Java 6 being used? ,if BIRT was used with Java
> 5 would there be any loss of Java Script features ?
>
Re: BIRT 2.6.1 Rhino java script support Question [message #676280 is a reply to message #666464] Fri, 03 June 2011 13:58 Go to previous messageGo to next message
Anthony Farrell is currently offline Anthony FarrellFriend
Messages: 25
Registered: April 2011
Location: Ireland
Junior Member
Just a follow up note to say that regarding mozilla java script libraries (to date , so far!) we have found no issues when deploying BIRT 2.6.1 on WLS 11.x or WAS 7.0.13.

Re: BIRT 2.6.1 Rhino java script support Question [message #676296 is a reply to message #676280] Fri, 03 June 2011 14:06 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason WeathersbyFriend
Messages: 9167
Registered: July 2009
Senior Member

Thanks for the update Anthony

On 6/3/2011 9:58 AM, Anthony Farrell wrote:
> Just a follow up note to say that regarding mozilla java script
> libraries (to date , so far!) we have found no issues when deploying
> BIRT 2.6.1 on WLS 11.x or WAS 7.0.13.
>
>
Re: BIRT 2.6.1 Rhino java script support Question [message #904964 is a reply to message #676296] Wed, 29 August 2012 13:31 Go to previous messageGo to next message
Anthony Farrell is currently offline Anthony FarrellFriend
Messages: 29
Registered: August 2012
Junior Member
One final question on this, during a compliance review of the BIRT technolog stack within our application, there has been some questions on the use of Rhino Javascript jar file, org.mozilla.javascript_1.7.2.v201005080400.jar is the jar shipped with BIRT 2.6.1 I believe. There are some parts of this jar file that pose a problem for us.

I have a couple of questions, we are currently using BIRT 2.6.1

1) As Rhino is shipped with Java 6, could we configure BIRT 2.6.1 to use the Rhino engine that ships with Java (as BIRT uses OSGi would this be is it possible?)

2) Is it possilbe to upgrade to a newer version of BIRT that does not rely on Rhino or does not rely on the version that ships with BIRT?

3) Could we overwrite the mozilla jar file above with a compliant Rhino jar file that we have access to, a version from the IBM Java 6 release. This is something that we can test I guess, but even if we found no issues would it be safe to do?

Apologies for the odd questions.
Anthony.
Re: BIRT 2.6.1 Rhino java script support Question [message #905126 is a reply to message #904964] Wed, 29 August 2012 18:39 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason WeathersbyFriend
Messages: 9167
Registered: July 2009
Senior Member

Anthony

If you try option 3, I would use the POJO runtime with BIRT 3.7 or
greater. You could just try replacing the js.jar.

Jason

On 8/29/2012 9:31 AM, Anthony Farrell wrote:
> One final question on this, during a compliance review of the BIRT
> technolog stack within our application, there has been some questions on
> the use of Rhino Javascript jar file,
> org.mozilla.javascript_1.7.2.v201005080400.jar is the jar shipped with
> BIRT 2.6.1 I believe. There are some parts of this jar file that pose a
> problem for us.
>
> I have a couple of questions, we are currently using BIRT 2.6.1
> 1) As Rhino is shipped with Java 6, could we configure BIRT 2.6.1 to
> use the Rhino engine that ships with Java (as BIRT uses OSGi would this
> be is it possible?)
>
> 2) Is it possilbe to upgrade to a newer version of BIRT that does not
> rely on Rhino or does not rely on the version that ships with BIRT?
>
> 3) Could we overwrite the mozilla jar file above with a compliant Rhino
> jar file that we have access to, a version from the IBM Java 6 release.
> This is something that we can test I guess, but even if we found no
> issues would it be safe to do?
>
> Apologies for the odd questions.
> Anthony.
>
Re: BIRT 2.6.1 Rhino java script support Question [message #905314 is a reply to message #905126] Thu, 30 August 2012 06:38 Go to previous messageGo to next message
Anthony Farrell is currently offline Anthony FarrellFriend
Messages: 29
Registered: August 2012
Junior Member
Thanks Jason,
Just to clarify, I will copy the js.jar from the IBM Java version into the BIRT runtime and test, in your opinion is this safe, could it lead to problems or issues over time?

Are you also saying that BIRT 3.7 or higher does not contain the Rhino engine ? it uses the Javascript engine that ships with Java?
Re: BIRT 2.6.1 Rhino java script support Question [message #905585 is a reply to message #905314] Thu, 30 August 2012 17:25 Go to previous message
Jason Weathersby is currently offline Jason WeathersbyFriend
Messages: 9167
Registered: July 2009
Senior Member

Anthony

I have not tested this, but the js.jar in the POJO runtime is rhino.
What are the packages in the js.jar in your jdk?

Jason

On 8/30/2012 2:38 AM, Anthony Farrell wrote:
> Thanks Jason, Just to clarify, I will copy the js.jar from the IBM Java
> version into the BIRT runtime and test, in your opinion is this safe,
> could it lead to problems or issues over time?
> Are you also saying that BIRT 3.7 or higher does not contain the Rhino
> engine ? it uses the Javascript engine that ships with Java?
Previous Topic:returning single pieces of data in an oda
Next Topic:Saving report output in DB
Goto Forum:
  


Current Time: Thu Oct 21 19:27:09 GMT 2021

Powered by FUDForum. Page generated in 0.01960 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top